option(DRAMSYS_EXTENSION_DDR5_ENABLE "Enable DRAMSys DDR5 Support" ON)

if(DRAMSYS_EXTENSION_DDR5_ENABLE)
    message(STATUS " * DDR5")

    file(GLOB_RECURSE SOURCE_FILES CONFIGURE_DEPENDS *.cpp)
    file(GLOB_RECURSE HEADER_FILES CONFIGURE_DEPENDS *.h;*.hpp)

    target_sources(DRAMSys_libdramsys PRIVATE ${SOURCE_FILES} ${HEADER_FILES})
    target_include_directories(DRAMSys_libdramsys PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
    target_compile_definitions(DRAMSys_libdramsys PUBLIC DDR5_SIM)

    build_source_group()
endif()
